%define with_libstdc_preview 0

Name:		scim-bridge
Version:	0.1.12
Release:	1%{?dist}
Summary:	SCIM Bridge

Group:		System Environment/Libraries
License:	LGPL
URL:		http://shibatama.tea-nifty.com/blog/2006/02/scimbridge_has__e4eb.html 
Source0:	http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz
Source1:	xinput-scim-bridge
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	scim-devel
%if %{with_libstdc_preview}
Buildrequires: libstdc++so7-devel
%endif
Requires:	scim, scim-bridge-gtkimm = %{version}-%{release}

%description
SCIM Bridge is a C implementation of a Gtk IM module for SCIM.

%package gtkimm
Summary:    SCIM Bridge Gtk IM module
Group:      System Environment/Libraries
# for update-gtk-immodules
PreReq:     gtk2 > 2.8
%if %{with_libstdc_preview}
PreReq:     libstdc++so7
%endif

%description gtkimm
This package provides the SCIM Bridge GTK input method module.


%prep
%setup -q


%build
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
%configure --disable-static
%if %{with_libstdc_preview}
# tweak libtool for libstdc++-so7
sed -i -e "s/4.1.0 /4.2.0-`grep datestamp= %{_bindir}/g++-libstdc++-so_7 | sed -e "s/datestamp=//"` /" libtool
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%if %{with_libstdc_preview}
export CXX=%{_bindir}/g++-libstdc++-so_7
%endif
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -pm 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d
install -pm 644 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/X11/xinit/xinput.d/scim-bridge

rm $RPM_BUILD_ROOT/%{_libdir}/gtk-2.0/immodules/im-scim-bridge.*a


%clean
rm -rf $RPM_BUILD_ROOT


%post gtkimm
%{_bindir}/update-gtk-immodules %{_target_platform}


%postun gtkimm
%{_bindir}/update-gtk-immodules %{_target_platform}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/scim-bridge-agent
%{_sysconfdir}/X11/xinit/xinput.d/scim-bridge


%files gtkimm
%defattr(-,root,root,-)
%dir %{_libdir}/gtk-2.0/immodules
%{_libdir}/gtk-2.0/immodules/im-scim-bridge.so


%changelog
* Tue May 30 2006 Jens Petersen <petersen@redhat.com> - 0.1.12-1
- update to 0.1.12

* Tue May 16 2006 Jens Petersen <petersen@redhat.com> - 0.1.8-1
- update to 0.1.8

* Thu May 11 2006 Jens Petersen <petersen@redhat.com> - 0.1.7-1
- update to 0.1.7 release

* Sat Apr 29 2006 Jens Petersen <petersen@redhat.com>
- package for Fedora Extras

* Wed Mar 15 2006 Jens Petersen <petersen@redhat.com>
- cvs snapshot
